<?php
if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class Gold_silver_offer_report extends REF_Controller {
    public function __construct() {
        parent::__construct();
        $this->load->library('upload');
        $this->load->model('reports/gold_silver_offer_report_model', '', TRUE);
        $this->uri_key_index = 0;
    }
    
    public function index() {
        $data = array();
       
        if (!empty($this->session->flashdata('success'))) 
            $data['success'] = $this->session->flashdata('success');
        else 
            $data['error'] = $this->session->flashdata('error');
        
        if((!empty($this->input->post('submit'))) && ($this->input->post('submit') == 'Get Data' || $this->input->post('submit') == 'Print Data')) {
            $start_date = $this->input->post('start_date');
            $end_date = $this->input->post('end_date');
            $type_id = $this->input->post('type_id');
        } else {
            $start_date = '';
            $end_date = '';
            $type_id = '';
        }
        $data['results'] = $this->gold_silver_offer_report_model->get_data($start_date,$end_date,$type_id);
        $data['start_date'] = $start_date;
        $data['end_date'] = $end_date;
        $data['type_id'] = $type_id;
        $data['types'] = $this->gold_silver_offer_report_model->list_service_type();
        $actions = $this->actions();
        $data['form_action'] = 'gold_silver_offer_report';
        $data['title'] = 'Gold Silver Offering Report';
        
        $filters = array();
        if(!empty($this->input->post('filter_columns'))) {
            foreach($this->input->post('filter_columns') as $key=>$value) {
                array_push($filters,$this->input->post($value));
            } 
        }
        $data['filters'] = array_filter($filters);
        
        if($this->input->post('submit') == 'Print Data'){
            if( IS_KSK ) :
                $html = $this->load->view('reports/gold_silver_offer/pdf', $data, TRUE);
                print_rec($html);
                redirect('gold_silver_offer_report','refresh');
            else :
                $this->render($data, 'reports/gold_silver_offer/pdf');
            endif;
        } else {
            $this->render($data, 'reports/gold_silver_offer/list');
        }
    }
   
} ?>

